This commit is contained in:
apb 2007-10-14 20:27:22 +00:00
parent 7f785f3945
commit 810a68fb1a

306
tools/make/configure vendored
View File

@ -963,18 +963,12 @@ echo "${ECHO_T}no" >&6
fi
if test x"$BSHELL" = x; then
{ { echo "$as_me:966: error: sh must be somewhere on \$PATH" >&5
echo "$as_me: error: sh must be somewhere on \$PATH" >&2;}
{ { echo "$as_me:966: error: sh must be somewhere on \$PATH, or BSHELL must be defined" >&5
echo "$as_me: error: sh must be somewhere on \$PATH, or BSHELL must be defined" >&2;}
{ (exit 1); exit 1; }; }
fi
# Make wants to get the directory name and the basename
# for the default shell in two separate variables.
nb_path_defshelldir="${BSHELL%/*}"
nb_basename_defshell="${BSHELL##*/}"
cat >>confdefs.h <<EOF
#define _PATH_DEFSHELLDIR "$nb_path_defshelldir"
#define _BASENAME_DEFSHELL "$nb_basename_defshell"
#define DEFSHELL_CUSTOM "${BSHELL}"
EOF
# Make sure we have POSIX regex ability.
@ -986,7 +980,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
echo "$as_me:989: checking for $ac_word" >&5
echo "$as_me:983: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1001,7 +995,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}gcc"
echo "$as_me:1004: found $ac_dir/$ac_word" >&5
echo "$as_me:998: found $ac_dir/$ac_word" >&5
break
done
@ -1009,10 +1003,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1012: result: $CC" >&5
echo "$as_me:1006: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1015: result: no" >&5
echo "$as_me:1009: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1021,7 +1015,7 @@ if test -z "$ac_cv_prog_CC"; then
ac_ct_CC=$CC
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
echo "$as_me:1024: checking for $ac_word" >&5
echo "$as_me:1018: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1036,7 +1030,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="gcc"
echo "$as_me:1039: found $ac_dir/$ac_word" >&5
echo "$as_me:1033: found $ac_dir/$ac_word" >&5
break
done
@ -1044,10 +1038,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
echo "$as_me:1047: result: $ac_ct_CC" >&5
echo "$as_me:1041: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
echo "$as_me:1050: result: no" >&5
echo "$as_me:1044: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1060,7 +1054,7 @@ if test -z "$CC"; then
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
echo "$as_me:1063: checking for $ac_word" >&5
echo "$as_me:1057: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1075,7 +1069,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}cc"
echo "$as_me:1078: found $ac_dir/$ac_word" >&5
echo "$as_me:1072: found $ac_dir/$ac_word" >&5
break
done
@ -1083,10 +1077,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1086: result: $CC" >&5
echo "$as_me:1080: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1089: result: no" >&5
echo "$as_me:1083: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1095,7 +1089,7 @@ if test -z "$ac_cv_prog_CC"; then
ac_ct_CC=$CC
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo "$as_me:1098: checking for $ac_word" >&5
echo "$as_me:1092: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1110,7 +1104,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="cc"
echo "$as_me:1113: found $ac_dir/$ac_word" >&5
echo "$as_me:1107: found $ac_dir/$ac_word" >&5
break
done
@ -1118,10 +1112,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
echo "$as_me:1121: result: $ac_ct_CC" >&5
echo "$as_me:1115: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
echo "$as_me:1124: result: no" >&5
echo "$as_me:1118: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1134,7 +1128,7 @@ fi
if test -z "$CC"; then
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo "$as_me:1137: checking for $ac_word" >&5
echo "$as_me:1131: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1154,7 +1148,7 @@ if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
continue
fi
ac_cv_prog_CC="cc"
echo "$as_me:1157: found $ac_dir/$ac_word" >&5
echo "$as_me:1151: found $ac_dir/$ac_word" >&5
break
done
@ -1176,10 +1170,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1179: result: $CC" >&5
echo "$as_me:1173: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1182: result: no" >&5
echo "$as_me:1176: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1190,7 +1184,7 @@ if test -z "$CC"; then
do
# Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
echo "$as_me:1193: checking for $ac_word" >&5
echo "$as_me:1187: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1205,7 +1199,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
echo "$as_me:1208: found $ac_dir/$ac_word" >&5
echo "$as_me:1202: found $ac_dir/$ac_word" >&5
break
done
@ -1213,10 +1207,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
echo "$as_me:1216: result: $CC" >&5
echo "$as_me:1210: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
echo "$as_me:1219: result: no" >&5
echo "$as_me:1213: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1229,7 +1223,7 @@ if test -z "$CC"; then
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo "$as_me:1232: checking for $ac_word" >&5
echo "$as_me:1226: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1244,7 +1238,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="$ac_prog"
echo "$as_me:1247: found $ac_dir/$ac_word" >&5
echo "$as_me:1241: found $ac_dir/$ac_word" >&5
break
done
@ -1252,10 +1246,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
echo "$as_me:1255: result: $ac_ct_CC" >&5
echo "$as_me:1249: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
echo "$as_me:1258: result: no" >&5
echo "$as_me:1252: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@ -1267,32 +1261,32 @@ fi
fi
test -z "$CC" && { { echo "$as_me:1270: error: no acceptable cc found in \$PATH" >&5
test -z "$CC" && { { echo "$as_me:1264: error: no acceptable cc found in \$PATH" >&5
echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
{ (exit 1); exit 1; }; }
# Provide some information about the compiler.
echo "$as_me:1275:" \
echo "$as_me:1269:" \
"checking for C compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:1278: \"$ac_compiler --version </dev/null >&5\"") >&5
{ (eval echo "$as_me:1272: \"$ac_compiler --version </dev/null >&5\"") >&5
(eval $ac_compiler --version </dev/null >&5) 2>&5
ac_status=$?
echo "$as_me:1281: \$? = $ac_status" >&5
echo "$as_me:1275: \$? = $ac_status" >&5
(exit $ac_status); }
{ (eval echo "$as_me:1283: \"$ac_compiler -v </dev/null >&5\"") >&5
{ (eval echo "$as_me:1277: \"$ac_compiler -v </dev/null >&5\"") >&5
(eval $ac_compiler -v </dev/null >&5) 2>&5
ac_status=$?
echo "$as_me:1286: \$? = $ac_status" >&5
echo "$as_me:1280: \$? = $ac_status" >&5
(exit $ac_status); }
{ (eval echo "$as_me:1288: \"$ac_compiler -V </dev/null >&5\"") >&5
{ (eval echo "$as_me:1282: \"$ac_compiler -V </dev/null >&5\"") >&5
(eval $ac_compiler -V </dev/null >&5) 2>&5
ac_status=$?
echo "$as_me:1291: \$? = $ac_status" >&5
echo "$as_me:1285: \$? = $ac_status" >&5
(exit $ac_status); }
cat >conftest.$ac_ext <<_ACEOF
#line 1295 "configure"
#line 1289 "configure"
#include "confdefs.h"
int
@ -1308,13 +1302,13 @@ ac_clean_files="$ac_clean_files a.out a.exe"
# Try to create an executable without -o first, disregard a.out.
# It will help us diagnose broken compilers, and finding out an intuition
# of exeext.
echo "$as_me:1311: checking for C compiler default output" >&5
echo "$as_me:1305: checking for C compiler default output" >&5
echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
if { (eval echo "$as_me:1314: \"$ac_link_default\"") >&5
if { (eval echo "$as_me:1308: \"$ac_link_default\"") >&5
(eval $ac_link_default) 2>&5
ac_status=$?
echo "$as_me:1317: \$? = $ac_status" >&5
echo "$as_me:1311: \$? = $ac_status" >&5
(exit $ac_status); }; then
# Find the output, starting from the most likely. This scheme is
# not robust to junk in `.', hence go to wildcards (a.*) only as a last
@ -1337,34 +1331,34 @@ done
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
{ { echo "$as_me:1340: error: C compiler cannot create executables" >&5
{ { echo "$as_me:1334: error: C compiler cannot create executables" >&5
echo "$as_me: error: C compiler cannot create executables" >&2;}
{ (exit 77); exit 77; }; }
fi
ac_exeext=$ac_cv_exeext
echo "$as_me:1346: result: $ac_file" >&5
echo "$as_me:1340: result: $ac_file" >&5
echo "${ECHO_T}$ac_file" >&6
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
echo "$as_me:1351: checking whether the C compiler works" >&5
echo "$as_me:1345: checking whether the C compiler works" >&5
echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
# If not cross compiling, check that we can run a simple program.
if test "$cross_compiling" != yes; then
if { ac_try='./$ac_file'
{ (eval echo "$as_me:1357: \"$ac_try\"") >&5
{ (eval echo "$as_me:1351: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1360: \$? = $ac_status" >&5
echo "$as_me:1354: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
cross_compiling=no
else
if test "$cross_compiling" = maybe; then
cross_compiling=yes
else
{ { echo "$as_me:1367: error: cannot run C compiled programs.
{ { echo "$as_me:1361: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&5
echo "$as_me: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&2;}
@ -1372,24 +1366,24 @@ If you meant to cross compile, use \`--host'." >&2;}
fi
fi
fi
echo "$as_me:1375: result: yes" >&5
echo "$as_me:1369: result: yes" >&5
echo "${ECHO_T}yes" >&6
rm -f a.out a.exe conftest$ac_cv_exeext
ac_clean_files=$ac_clean_files_save
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
echo "$as_me:1382: checking whether we are cross compiling" >&5
echo "$as_me:1376: checking whether we are cross compiling" >&5
echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
echo "$as_me:1384: result: $cross_compiling" >&5
echo "$as_me:1378: result: $cross_compiling" >&5
echo "${ECHO_T}$cross_compiling" >&6
echo "$as_me:1387: checking for executable suffix" >&5
echo "$as_me:1381: checking for executable suffix" >&5
echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
if { (eval echo "$as_me:1389: \"$ac_link\"") >&5
if { (eval echo "$as_me:1383: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:1392: \$? = $ac_status" >&5
echo "$as_me:1386: \$? = $ac_status" >&5
(exit $ac_status); }; then
# If both `conftest.exe' and `conftest' are `present' (well, observable)
# catch `conftest.exe'. For instance with Cygwin, `ls conftest' will
@ -1405,25 +1399,25 @@ for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
esac
done
else
{ { echo "$as_me:1408: error: cannot compute EXEEXT: cannot compile and link" >&5
{ { echo "$as_me:1402: error: cannot compute EXEEXT: cannot compile and link" >&5
echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest$ac_cv_exeext
echo "$as_me:1414: result: $ac_cv_exeext" >&5
echo "$as_me:1408: result: $ac_cv_exeext" >&5
echo "${ECHO_T}$ac_cv_exeext" >&6
rm -f conftest.$ac_ext
EXEEXT=$ac_cv_exeext
ac_exeext=$EXEEXT
echo "$as_me:1420: checking for object suffix" >&5
echo "$as_me:1414: checking for object suffix" >&5
echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
if test "${ac_cv_objext+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1426 "configure"
#line 1420 "configure"
#include "confdefs.h"
int
@ -1435,10 +1429,10 @@ main ()
}
_ACEOF
rm -f conftest.o conftest.obj
if { (eval echo "$as_me:1438: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1432: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1441: \$? = $ac_status" >&5
echo "$as_me:1435: \$? = $ac_status" >&5
(exit $ac_status); }; then
for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
case $ac_file in
@ -1450,24 +1444,24 @@ done
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
{ { echo "$as_me:1453: error: cannot compute OBJEXT: cannot compile" >&5
{ { echo "$as_me:1447: error: cannot compute OBJEXT: cannot compile" >&5
echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest.$ac_cv_objext conftest.$ac_ext
fi
echo "$as_me:1460: result: $ac_cv_objext" >&5
echo "$as_me:1454: result: $ac_cv_objext" >&5
echo "${ECHO_T}$ac_cv_objext" >&6
OBJEXT=$ac_cv_objext
ac_objext=$OBJEXT
echo "$as_me:1464: checking whether we are using the GNU C compiler" >&5
echo "$as_me:1458: checking whether we are using the GNU C compiler" >&5
echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
if test "${ac_cv_c_compiler_gnu+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1470 "configure"
#line 1464 "configure"
#include "confdefs.h"
int
@ -1482,16 +1476,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1485: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1479: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1488: \$? = $ac_status" >&5
echo "$as_me:1482: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1491: \"$ac_try\"") >&5
{ (eval echo "$as_me:1485: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1494: \$? = $ac_status" >&5
echo "$as_me:1488: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_compiler_gnu=yes
else
@ -1503,19 +1497,19 @@ rm -f conftest.$ac_objext conftest.$ac_ext
ac_cv_c_compiler_gnu=$ac_compiler_gnu
fi
echo "$as_me:1506: result: $ac_cv_c_compiler_gnu" >&5
echo "$as_me:1500: result: $ac_cv_c_compiler_gnu" >&5
echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
GCC=`test $ac_compiler_gnu = yes && echo yes`
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
CFLAGS="-g"
echo "$as_me:1512: checking whether $CC accepts -g" >&5
echo "$as_me:1506: checking whether $CC accepts -g" >&5
echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
if test "${ac_cv_prog_cc_g+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1518 "configure"
#line 1512 "configure"
#include "confdefs.h"
int
@ -1527,16 +1521,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1530: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1524: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1533: \$? = $ac_status" >&5
echo "$as_me:1527: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1536: \"$ac_try\"") >&5
{ (eval echo "$as_me:1530: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1539: \$? = $ac_status" >&5
echo "$as_me:1533: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cc_g=yes
else
@ -1546,7 +1540,7 @@ ac_cv_prog_cc_g=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:1549: result: $ac_cv_prog_cc_g" >&5
echo "$as_me:1543: result: $ac_cv_prog_cc_g" >&5
echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
if test "$ac_test_CFLAGS" = set; then
CFLAGS=$ac_save_CFLAGS
@ -1573,16 +1567,16 @@ cat >conftest.$ac_ext <<_ACEOF
#endif
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1576: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1570: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1579: \$? = $ac_status" >&5
echo "$as_me:1573: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1582: \"$ac_try\"") >&5
{ (eval echo "$as_me:1576: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1585: \$? = $ac_status" >&5
echo "$as_me:1579: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
for ac_declaration in \
''\
@ -1594,7 +1588,7 @@ if { (eval echo "$as_me:1576: \"$ac_compile\"") >&5
'void exit (int);'
do
cat >conftest.$ac_ext <<_ACEOF
#line 1597 "configure"
#line 1591 "configure"
#include "confdefs.h"
#include <stdlib.h>
$ac_declaration
@ -1607,16 +1601,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1610: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1604: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1613: \$? = $ac_status" >&5
echo "$as_me:1607: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1616: \"$ac_try\"") >&5
{ (eval echo "$as_me:1610: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1619: \$? = $ac_status" >&5
echo "$as_me:1613: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@ -1626,7 +1620,7 @@ continue
fi
rm -f conftest.$ac_objext conftest.$ac_ext
cat >conftest.$ac_ext <<_ACEOF
#line 1629 "configure"
#line 1623 "configure"
#include "confdefs.h"
$ac_declaration
int
@ -1638,16 +1632,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:1641: \"$ac_compile\"") >&5
if { (eval echo "$as_me:1635: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:1644: \$? = $ac_status" >&5
echo "$as_me:1638: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:1647: \"$ac_try\"") >&5
{ (eval echo "$as_me:1641: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1650: \$? = $ac_status" >&5
echo "$as_me:1644: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
break
else
@ -1679,7 +1673,7 @@ ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
echo "$as_me:1682: checking how to run the C preprocessor" >&5
echo "$as_me:1676: checking how to run the C preprocessor" >&5
echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
@ -1700,18 +1694,18 @@ do
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
#line 1703 "configure"
#line 1697 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax error
_ACEOF
if { (eval echo "$as_me:1708: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1702: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1714: \$? = $ac_status" >&5
echo "$as_me:1708: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1734,17 +1728,17 @@ rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
#line 1737 "configure"
#line 1731 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
_ACEOF
if { (eval echo "$as_me:1741: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1735: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1747: \$? = $ac_status" >&5
echo "$as_me:1741: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1781,7 +1775,7 @@ fi
else
ac_cv_prog_CPP=$CPP
fi
echo "$as_me:1784: result: $CPP" >&5
echo "$as_me:1778: result: $CPP" >&5
echo "${ECHO_T}$CPP" >&6
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
@ -1791,18 +1785,18 @@ do
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
#line 1794 "configure"
#line 1788 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax error
_ACEOF
if { (eval echo "$as_me:1799: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1793: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1805: \$? = $ac_status" >&5
echo "$as_me:1799: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1825,17 +1819,17 @@ rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
#line 1828 "configure"
#line 1822 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
_ACEOF
if { (eval echo "$as_me:1832: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1826: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1838: \$? = $ac_status" >&5
echo "$as_me:1832: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1863,7 +1857,7 @@ rm -f conftest.err conftest.$ac_ext
if $ac_preproc_ok; then
:
else
{ { echo "$as_me:1866: error: C preprocessor \"$CPP\" fails sanity check" >&5
{ { echo "$as_me:1860: error: C preprocessor \"$CPP\" fails sanity check" >&5
echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
{ (exit 1); exit 1; }; }
fi
@ -1874,23 +1868,23 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
echo "$as_me:1877: checking for regex.h" >&5
echo "$as_me:1871: checking for regex.h" >&5
echo $ECHO_N "checking for regex.h... $ECHO_C" >&6
if test "${ac_cv_header_regex_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1883 "configure"
#line 1877 "configure"
#include "confdefs.h"
#include <regex.h>
_ACEOF
if { (eval echo "$as_me:1887: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1881: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1893: \$? = $ac_status" >&5
echo "$as_me:1887: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1909,34 +1903,34 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
echo "$as_me:1912: result: $ac_cv_header_regex_h" >&5
echo "$as_me:1906: result: $ac_cv_header_regex_h" >&5
echo "${ECHO_T}$ac_cv_header_regex_h" >&6
if test $ac_cv_header_regex_h = yes; then
:
else
{ { echo "$as_me:1917: error: POSIX regex.h is required" >&5
{ { echo "$as_me:1911: error: POSIX regex.h is required" >&5
echo "$as_me: error: POSIX regex.h is required" >&2;}
{ (exit 1); exit 1; }; }
fi
# If we don't have <poll.h>, we need to use select(2).
echo "$as_me:1923: checking for poll.h" >&5
echo "$as_me:1917: checking for poll.h" >&5
echo $ECHO_N "checking for poll.h... $ECHO_C" >&6
if test "${ac_cv_header_poll_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 1929 "configure"
#line 1923 "configure"
#include "confdefs.h"
#include <poll.h>
_ACEOF
if { (eval echo "$as_me:1933: \"$ac_cpp conftest.$ac_ext\"") >&5
if { (eval echo "$as_me:1927: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:1939: \$? = $ac_status" >&5
echo "$as_me:1933: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@ -1955,7 +1949,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
echo "$as_me:1958: result: $ac_cv_header_poll_h" >&5
echo "$as_me:1952: result: $ac_cv_header_poll_h" >&5
echo "${ECHO_T}$ac_cv_header_poll_h" >&6
if test $ac_cv_header_poll_h = yes; then
:
@ -1969,7 +1963,7 @@ fi
# regcomp() and regexec() are also names of functions in the old V8
# regexp package. To avoid them, we need to find out who has regfree().
echo "$as_me:1972: checking for regfree in -lregex" >&5
echo "$as_me:1966: checking for regfree in -lregex" >&5
echo $ECHO_N "checking for regfree in -lregex... $ECHO_C" >&6
if test "${ac_cv_lib_regex_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -1977,7 +1971,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lregex $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 1980 "configure"
#line 1974 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -1996,16 +1990,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:1999: \"$ac_link\"") >&5
if { (eval echo "$as_me:1993: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2002: \$? = $ac_status" >&5
echo "$as_me:1996: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2005: \"$ac_try\"") >&5
{ (eval echo "$as_me:1999: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2008: \$? = $ac_status" >&5
echo "$as_me:2002: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_regex_regfree=yes
else
@ -2016,7 +2010,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:2019: result: $ac_cv_lib_regex_regfree" >&5
echo "$as_me:2013: result: $ac_cv_lib_regex_regfree" >&5
echo "${ECHO_T}$ac_cv_lib_regex_regfree" >&6
if test $ac_cv_lib_regex_regfree = yes; then
cat >>confdefs.h <<EOF
@ -2027,7 +2021,7 @@ EOF
fi
echo "$as_me:2030: checking for library containing regfree" >&5
echo "$as_me:2024: checking for library containing regfree" >&5
echo $ECHO_N "checking for library containing regfree... $ECHO_C" >&6
if test "${ac_cv_search_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -2035,7 +2029,7 @@ else
ac_func_search_save_LIBS=$LIBS
ac_cv_search_regfree=no
cat >conftest.$ac_ext <<_ACEOF
#line 2038 "configure"
#line 2032 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -2054,16 +2048,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2057: \"$ac_link\"") >&5
if { (eval echo "$as_me:2051: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2060: \$? = $ac_status" >&5
echo "$as_me:2054: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2063: \"$ac_try\"") >&5
{ (eval echo "$as_me:2057: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2066: \$? = $ac_status" >&5
echo "$as_me:2060: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="none required"
else
@ -2075,7 +2069,7 @@ if test "$ac_cv_search_regfree" = no; then
for ac_lib in rx posix; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 2078 "configure"
#line 2072 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -2094,16 +2088,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2097: \"$ac_link\"") >&5
if { (eval echo "$as_me:2091: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2100: \$? = $ac_status" >&5
echo "$as_me:2094: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2103: \"$ac_try\"") >&5
{ (eval echo "$as_me:2097: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2106: \$? = $ac_status" >&5
echo "$as_me:2100: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="-l$ac_lib"
break
@ -2116,7 +2110,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
LIBS=$ac_func_search_save_LIBS
fi
echo "$as_me:2119: result: $ac_cv_search_regfree" >&5
echo "$as_me:2113: result: $ac_cv_search_regfree" >&5
echo "${ECHO_T}$ac_cv_search_regfree" >&6
if test "$ac_cv_search_regfree" != no; then
test "$ac_cv_search_regfree" = "none required" || LIBS="$ac_cv_search_regfree $LIBS"
@ -2126,13 +2120,13 @@ fi
for ac_func in setenv strdup strerror strftime vsnprintf
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:2129: checking for $ac_func" >&5
echo "$as_me:2123: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 2135 "configure"
#line 2129 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@ -2163,16 +2157,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2166: \"$ac_link\"") >&5
if { (eval echo "$as_me:2160: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2169: \$? = $ac_status" >&5
echo "$as_me:2163: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2172: \"$ac_try\"") >&5
{ (eval echo "$as_me:2166: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2175: \$? = $ac_status" >&5
echo "$as_me:2169: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@ -2182,7 +2176,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:2185: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "$as_me:2179: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@ -2301,7 +2295,7 @@ rm -f confdef2opt.sed
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:2304: creating $CONFIG_STATUS" >&5
{ echo "$as_me:2298: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@ -2468,7 +2462,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:2471: error: ambiguous option: $1
{ { echo "$as_me:2465: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@ -2487,7 +2481,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:2490: error: unrecognized option: $1
-*) { { echo "$as_me:2484: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@ -2523,7 +2517,7 @@ do
case "$ac_config_target" in
# Handling of arguments.
"buildmake.sh" ) CONFIG_FILES="$CONFIG_FILES buildmake.sh" ;;
*) { { echo "$as_me:2526: error: invalid argument: $ac_config_target" >&5
*) { { echo "$as_me:2520: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@ -2721,7 +2715,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:2724: creating $ac_file" >&5
{ echo "$as_me:2718: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@ -2739,7 +2733,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:2742: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:2736: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -2752,7 +2746,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:2755: error: cannot find input file: $f" >&5
{ { echo "$as_me:2749: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;